PX_TIMESTAMP2STRING(3)

NAME
PX_timestamp2string — Convert paradox timestamp into formated string

SYNOPSIS

#include <paradox.h>

char * PX_timestamp2string(pxdoc_t *pxdoc, double timestamp, const char *format)

DESCRIPTION

Creates a string representation of a paradox timestamp as specified in the parameter format. The timestamp must be either retrieved with PX_get_data_double(3) after calling PX_get_record(3) or by simply using the double value in the pxval_t struct as returned by PX_retrieve_record(3). A timestamp contains both time and date information. The format string contains chars which stand for certain values of the date/time. The following table lists all available characters with a meaning. All other characters are being copied unmodified to the output string. If a special character shall not be interpreted it must be preceded with a backslash.

Characters and their meaning in date/time format string
CharacterMeaning
Yyear, numeric, 4 digits
yyear, numeric, 2 digits
mmonth, numeric
nmonth, numeric, no leading zeroes
dday of the month, numeric
jT{
day of the month, numeric, no leading zeros
T}
Hhour, numeric, 24 hour format
hhour, numeric, 12 hour format
GT{
hour, numeric, 24 hour format, no leading zeroes
T}
gT{
hour, numeric, 12 hour format, no leading zeroes
T}
iminutes, numeric
sseconds, numeric
AAM/PM
aam/pm
Lboolean for leap year

RETURN VALUE

Returns pointer to string on success and NULL on failure.

SEE ALSO

PX_time2string(3), PX_date2string(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.